Changeset 4015

Show
Ignore:
Timestamp:
04/02/06 17:35:40 (3 years ago)
Author:
morris
Message:

Remove glibc check

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • wire/trunk/config.h.in

    r4014 r4015  
    77   `rl_completion_display_matches_hook', and to 0 if you don't. */ 
    88#undef HAVE_DECL_RL_COMPLETION_DISPLAY_MATCHES_HOOK 
    9  
    10 /* Define to 1 if you have glibc. */ 
    11 #undef HAVE_GLIBC 
    129 
    1310/* Define to 1 if you have the <iconv.h> header file. */ 
     
    9390#undef _FILE_OFFSET_BITS 
    9491 
    95 /* Define to 1 if you have glibc. */ 
    96 #undef _GNU_SOURCE 
    97  
    9892/* Define for large files, on AIX-style hosts. */ 
    9993#undef _LARGE_FILES 
  • wire/trunk/configure

    r4014 r4015  
    29752975 
    29762976 
    2977 # Check for glibc (Linux) 
    2978 ac_ext=c 
    2979 ac_cpp='$CPP $CPPFLAGS' 
    2980 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
    2981 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
    2982 ac_compiler_gnu=$ac_cv_c_compiler_gnu 
    2983 echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5 
    2984 echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6 
    2985 # On Suns, sometimes $CPP names a directory. 
    2986 if test -n "$CPP" && test -d "$CPP"; then 
    2987   CPP= 
    2988 fi 
    2989 if test -z "$CPP"; then 
    2990   if test "${ac_cv_prog_CPP+set}" = set; then 
    2991   echo $ECHO_N "(cached) $ECHO_C" >&6 
    2992 else 
    2993       # Double quotes because CPP needs to be expanded 
    2994     for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp" 
    2995     do 
    2996       ac_preproc_ok=false 
    2997 for ac_c_preproc_warn_flag in '' yes 
    2998 do 
    2999   # Use a header file that comes with gcc, so configuring glibc 
    3000   # with a fresh cross-compiler works. 
    3001   # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
    3002   # <limits.h> exists even on freestanding compilers. 
    3003   # On the NeXT, cc -E runs the code through the compiler's parser, 
    3004   # not just through cpp. "Syntax error" is here to catch this case. 
    3005   cat >conftest.$ac_ext <<_ACEOF 
    3006 /* confdefs.h.  */ 
    3007 _ACEOF 
    3008 cat confdefs.h >>conftest.$ac_ext 
    3009 cat >>conftest.$ac_ext <<_ACEOF 
    3010 /* end confdefs.h.  */ 
    3011 #ifdef __STDC__ 
    3012 # include <limits.h> 
    3013 #else 
    3014 # include <assert.h> 
    3015 #endif 
    3016                      Syntax error 
    3017 _ACEOF 
    3018 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    3019   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    3020   ac_status=$? 
    3021   grep -v '^ *+' conftest.er1 >conftest.err 
    3022   rm -f conftest.er1 
    3023   cat conftest.err >&5 
    3024   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3025   (exit $ac_status); } >/dev/null; then 
    3026   if test -s conftest.err; then 
    3027     ac_cpp_err=$ac_c_preproc_warn_flag 
    3028     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    3029   else 
    3030     ac_cpp_err= 
    3031   fi 
    3032 else 
    3033   ac_cpp_err=yes 
    3034 fi 
    3035 if test -z "$ac_cpp_err"; then 
    3036   : 
    3037 else 
    3038   echo "$as_me: failed program was:" >&5 
    3039 sed 's/^/| /' conftest.$ac_ext >&5 
    3040  
    3041   # Broken: fails on valid input. 
    3042 continue 
    3043 fi 
    3044 rm -f conftest.err conftest.$ac_ext 
    3045  
    3046   # OK, works on sane cases.  Now check whether non-existent headers 
    3047   # can be detected and how. 
    3048   cat >conftest.$ac_ext <<_ACEOF 
    3049 /* confdefs.h.  */ 
    3050 _ACEOF 
    3051 cat confdefs.h >>conftest.$ac_ext 
    3052 cat >>conftest.$ac_ext <<_ACEOF 
    3053 /* end confdefs.h.  */ 
    3054 #include <ac_nonexistent.h> 
    3055 _ACEOF 
    3056 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    3057   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    3058   ac_status=$? 
    3059   grep -v '^ *+' conftest.er1 >conftest.err 
    3060   rm -f conftest.er1 
    3061   cat conftest.err >&5 
    3062   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3063   (exit $ac_status); } >/dev/null; then 
    3064   if test -s conftest.err; then 
    3065     ac_cpp_err=$ac_c_preproc_warn_flag 
    3066     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    3067   else 
    3068     ac_cpp_err= 
    3069   fi 
    3070 else 
    3071   ac_cpp_err=yes 
    3072 fi 
    3073 if test -z "$ac_cpp_err"; then 
    3074   # Broken: success on invalid input. 
    3075 continue 
    3076 else 
    3077   echo "$as_me: failed program was:" >&5 
    3078 sed 's/^/| /' conftest.$ac_ext >&5 
    3079  
    3080   # Passes both tests. 
    3081 ac_preproc_ok=: 
    3082 break 
    3083 fi 
    3084 rm -f conftest.err conftest.$ac_ext 
    3085  
    3086 done 
    3087 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped. 
    3088 rm -f conftest.err conftest.$ac_ext 
    3089 if $ac_preproc_ok; then 
    3090   break 
    3091 fi 
    3092  
    3093     done 
    3094     ac_cv_prog_CPP=$CPP 
    3095  
    3096 fi 
    3097   CPP=$ac_cv_prog_CPP 
    3098 else 
    3099   ac_cv_prog_CPP=$CPP 
    3100 fi 
    3101 echo "$as_me:$LINENO: result: $CPP" >&5 
    3102 echo "${ECHO_T}$CPP" >&6 
    3103 ac_preproc_ok=false 
    3104 for ac_c_preproc_warn_flag in '' yes 
    3105 do 
    3106   # Use a header file that comes with gcc, so configuring glibc 
    3107   # with a fresh cross-compiler works. 
    3108   # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
    3109   # <limits.h> exists even on freestanding compilers. 
    3110   # On the NeXT, cc -E runs the code through the compiler's parser, 
    3111   # not just through cpp. "Syntax error" is here to catch this case. 
    3112   cat >conftest.$ac_ext <<_ACEOF 
    3113 /* confdefs.h.  */ 
    3114 _ACEOF 
    3115 cat confdefs.h >>conftest.$ac_ext 
    3116 cat >>conftest.$ac_ext <<_ACEOF 
    3117 /* end confdefs.h.  */ 
    3118 #ifdef __STDC__ 
    3119 # include <limits.h> 
    3120 #else 
    3121 # include <assert.h> 
    3122 #endif 
    3123                      Syntax error 
    3124 _ACEOF 
    3125 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    3126   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    3127   ac_status=$? 
    3128   grep -v '^ *+' conftest.er1 >conftest.err 
    3129   rm -f conftest.er1 
    3130   cat conftest.err >&5 
    3131   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3132   (exit $ac_status); } >/dev/null; then 
    3133   if test -s conftest.err; then 
    3134     ac_cpp_err=$ac_c_preproc_warn_flag 
    3135     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    3136   else 
    3137     ac_cpp_err= 
    3138   fi 
    3139 else 
    3140   ac_cpp_err=yes 
    3141 fi 
    3142 if test -z "$ac_cpp_err"; then 
    3143   : 
    3144 else 
    3145   echo "$as_me: failed program was:" >&5 
    3146 sed 's/^/| /' conftest.$ac_ext >&5 
    3147  
    3148   # Broken: fails on valid input. 
    3149 continue 
    3150 fi 
    3151 rm -f conftest.err conftest.$ac_ext 
    3152  
    3153   # OK, works on sane cases.  Now check whether non-existent headers 
    3154   # can be detected and how. 
    3155   cat >conftest.$ac_ext <<_ACEOF 
    3156 /* confdefs.h.  */ 
    3157 _ACEOF 
    3158 cat confdefs.h >>conftest.$ac_ext 
    3159 cat >>conftest.$ac_ext <<_ACEOF 
    3160 /* end confdefs.h.  */ 
    3161 #include <ac_nonexistent.h> 
    3162 _ACEOF 
    3163 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    3164   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    3165   ac_status=$? 
    3166   grep -v '^ *+' conftest.er1 >conftest.err 
    3167   rm -f conftest.er1 
    3168   cat conftest.err >&5 
    3169   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3170   (exit $ac_status); } >/dev/null; then 
    3171   if test -s conftest.err; then 
    3172     ac_cpp_err=$ac_c_preproc_warn_flag 
    3173     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    3174   else 
    3175     ac_cpp_err= 
    3176   fi 
    3177 else 
    3178   ac_cpp_err=yes 
    3179 fi 
    3180 if test -z "$ac_cpp_err"; then 
    3181   # Broken: success on invalid input. 
    3182 continue 
    3183 else 
    3184   echo "$as_me: failed program was:" >&5 
    3185 sed 's/^/| /' conftest.$ac_ext >&5 
    3186  
    3187   # Passes both tests. 
    3188 ac_preproc_ok=: 
    3189 break 
    3190 fi 
    3191 rm -f conftest.err conftest.$ac_ext 
    3192  
    3193 done 
    3194 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped. 
    3195 rm -f conftest.err conftest.$ac_ext 
    3196 if $ac_preproc_ok; then 
    3197   : 
    3198 else 
    3199   { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check 
    3200 See \`config.log' for more details." >&5 
    3201 echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check 
    3202 See \`config.log' for more details." >&2;} 
    3203    { (exit 1); exit 1; }; } 
    3204 fi 
    3205  
    3206 ac_ext=c 
    3207 ac_cpp='$CPP $CPPFLAGS' 
    3208 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
    3209 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
    3210 ac_compiler_gnu=$ac_cv_c_compiler_gnu 
    3211  
    3212  
    3213 cat >conftest.$ac_ext <<_ACEOF 
    3214  
    3215     #include <features.h> 
    3216     #ifndef __GLIBC__ 
    3217     chokeme 
    3218     #endif 
    3219  
    3220 _ACEOF 
    3221 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    3222   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    3223   ac_status=$? 
    3224   grep -v '^ *+' conftest.er1 >conftest.err 
    3225   rm -f conftest.er1 
    3226   cat conftest.err >&5 
    3227   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3228   (exit $ac_status); } >/dev/null; then 
    3229   if test -s conftest.err; then 
    3230     ac_cpp_err=$ac_c_preproc_warn_flag 
    3231     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    3232   else 
    3233     ac_cpp_err= 
    3234   fi 
    3235 else 
    3236   ac_cpp_err=yes 
    3237 fi 
    3238 if test -z "$ac_cpp_err"; then 
    3239  
    3240  
    3241 cat >>confdefs.h <<\_ACEOF 
    3242 #define HAVE_GLIBC 1 
    3243 _ACEOF 
    3244  
    3245  
    3246 cat >>confdefs.h <<\_ACEOF 
    3247 #define _GNU_SOURCE 1 
    3248 _ACEOF 
    3249  
    3250  
    3251 else 
    3252   echo "$as_me: failed program was:" >&5 
    3253 sed 's/^/| /' conftest.$ac_ext >&5 
    3254  
    3255  
    3256 fi 
    3257 rm -f conftest.err conftest.$ac_ext 
    3258  
    3259  
    32602977# Check if we need the math library 
    32612978echo "$as_me:$LINENO: checking for pow" >&5 
     
    39393656 
    39403657# Check for the OpenSSL crypto library 
     3658ac_ext=c 
     3659ac_cpp='$CPP $CPPFLAGS' 
     3660ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
     3661ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
     3662ac_compiler_gnu=$ac_cv_c_compiler_gnu 
     3663echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5 
     3664echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6 
     3665# On Suns, sometimes $CPP names a directory. 
     3666if test -n "$CPP" && test -d "$CPP"; then 
     3667  CPP= 
     3668fi 
     3669if test -z "$CPP"; then 
     3670  if test "${ac_cv_prog_CPP+set}" = set; then 
     3671  echo $ECHO_N "(cached) $ECHO_C" >&6 
     3672else 
     3673      # Double quotes because CPP needs to be expanded 
     3674    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp" 
     3675    do 
     3676      ac_preproc_ok=false 
     3677for ac_c_preproc_warn_flag in '' yes 
     3678do 
     3679  # Use a header file that comes with gcc, so configuring glibc 
     3680  # with a fresh cross-compiler works. 
     3681  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
     3682  # <limits.h> exists even on freestanding compilers. 
     3683  # On the NeXT, cc -E runs the code through the compiler's parser, 
     3684  # not just through cpp. "Syntax error" is here to catch this case. 
     3685  cat >conftest.$ac_ext <<_ACEOF 
     3686/* confdefs.h.  */ 
     3687_ACEOF 
     3688cat confdefs.h >>conftest.$ac_ext 
     3689cat >>conftest.$ac_ext <<_ACEOF 
     3690/* end confdefs.h.  */ 
     3691#ifdef __STDC__ 
     3692# include <limits.h> 
     3693#else 
     3694# include <assert.h> 
     3695#endif 
     3696                     Syntax error 
     3697_ACEOF 
     3698if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     3699  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     3700  ac_status=$? 
     3701  grep -v '^ *+' conftest.er1 >conftest.err 
     3702  rm -f conftest.er1 
     3703  cat conftest.err >&5 
     3704  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     3705  (exit $ac_status); } >/dev/null; then 
     3706  if test -s conftest.err; then 
     3707    ac_cpp_err=$ac_c_preproc_warn_flag 
     3708    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
     3709  else 
     3710    ac_cpp_err= 
     3711  fi 
     3712else 
     3713  ac_cpp_err=yes 
     3714fi 
     3715if test -z "$ac_cpp_err"; then 
     3716  : 
     3717else 
     3718  echo "$as_me: failed program was:" >&5 
     3719sed 's/^/| /' conftest.$ac_ext >&5 
     3720 
     3721  # Broken: fails on valid input. 
     3722continue 
     3723fi 
     3724rm -f conftest.err conftest.$ac_ext 
     3725 
     3726  # OK, works on sane cases.  Now check whether non-existent headers 
     3727  # can be detected and how. 
     3728  cat >conftest.$ac_ext <<_ACEOF 
     3729/* confdefs.h.  */ 
     3730_ACEOF 
     3731cat confdefs.h >>conftest.$ac_ext 
     3732cat >>conftest.$ac_ext <<_ACEOF 
     3733/* end confdefs.h.  */ 
     3734#include <ac_nonexistent.h> 
     3735_ACEOF 
     3736if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     3737  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     3738  ac_status=$? 
     3739  grep -v '^ *+' conftest.er1 >conftest.err 
     3740  rm -f conftest.er1 
     3741  cat conftest.err >&5 
     3742  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     3743  (exit $ac_status); } >/dev/null; then 
     3744  if test -s conftest.err; then 
     3745    ac_cpp_err=$ac_c_preproc_warn_flag 
     3746    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
     3747  else 
     3748    ac_cpp_err= 
     3749  fi 
     3750else 
     3751  ac_cpp_err=yes 
     3752fi 
     3753if test -z "$ac_cpp_err"; then 
     3754  # Broken: success on invalid input. 
     3755continue 
     3756else 
     3757  echo "$as_me: failed program was:" >&5 
     3758sed 's/^/| /' conftest.$ac_ext >&5 
     3759 
     3760  # Passes both tests. 
     3761ac_preproc_ok=: 
     3762break 
     3763fi 
     3764rm -f conftest.err conftest.$ac_ext 
     3765 
     3766done 
     3767# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped. 
     3768rm -f conftest.err conftest.$ac_ext 
     3769if $ac_preproc_ok; then 
     3770  break 
     3771fi 
     3772 
     3773    done 
     3774    ac_cv_prog_CPP=$CPP 
     3775 
     3776fi 
     3777  CPP=$ac_cv_prog_CPP 
     3778else 
     3779  ac_cv_prog_CPP=$CPP 
     3780fi 
     3781echo "$as_me:$LINENO: result: $CPP" >&5 
     3782echo "${ECHO_T}$CPP" >&6 
     3783ac_preproc_ok=false 
     3784for ac_c_preproc_warn_flag in '' yes 
     3785do 
     3786  # Use a header file that comes with gcc, so configuring glibc 
     3787  # with a fresh cross-compiler works. 
     3788  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
     3789  # <limits.h> exists even on freestanding compilers. 
     3790  # On the NeXT, cc -E runs the code through the compiler's parser, 
     3791  # not just through cpp. "Syntax error" is here to catch this case. 
     3792  cat >conftest.$ac_ext <<_ACEOF 
     3793/* confdefs.h.  */ 
     3794_ACEOF 
     3795cat confdefs.h >>conftest.$ac_ext 
     3796cat >>conftest.$ac_ext <<_ACEOF 
     3797/* end confdefs.h.  */ 
     3798#ifdef __STDC__ 
     3799# include <limits.h> 
     3800#else 
     3801# include <assert.h> 
     3802#endif 
     3803                     Syntax error 
     3804_ACEOF 
     3805if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     3806  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     3807  ac_status=$? 
     3808  grep -v '^ *+' conftest.er1 >conftest.err 
     3809  rm -f conftest.er1 
     3810  cat conftest.err >&5 
     3811  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     3812  (exit $ac_status); } >/dev/null; then 
     3813  if test -s conftest.err; then 
     3814    ac_cpp_err=$ac_c_preproc_warn_flag 
     3815    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
     3816  else 
     3817    ac_cpp_err= 
     3818  fi 
     3819else 
     3820  ac_cpp_err=yes 
     3821fi 
     3822if test -z "$ac_cpp_err"; then 
     3823  : 
     3824else 
     3825  echo "$as_me: failed program was:" >&5 
     3826sed 's/^/| /' conftest.$ac_ext >&5 
     3827 
     3828  # Broken: fails on valid input. 
     3829continue 
     3830fi 
     3831rm -f conftest.err conftest.$ac_ext 
     3832 
     3833  # OK, works on sane cases.  Now check whether non-existent headers 
     3834  # can be detected and how. 
     3835  cat >conftest.$ac_ext <<_ACEOF 
     3836/* confdefs.h.  */ 
     3837_ACEOF 
     3838cat confdefs.h >>conftest.$ac_ext 
     3839cat >>conftest.$ac_ext <<_ACEOF 
     3840/* end confdefs.h.  */ 
     3841#include <ac_nonexistent.h> 
     3842_ACEOF 
     3843if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     3844  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     3845  ac_status=$? 
     3846  grep -v '^ *+' conftest.er1 >conftest.err 
     3847  rm -f conftest.er1 
     3848  cat conftest.err >&5 
     3849  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     3850  (exit $ac_status); } >/dev/null; then 
     3851  if test -s conftest.err; then 
     3852    ac_cpp_err=$ac_c_preproc_warn_flag 
     3853    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
     3854  else 
     3855    ac_cpp_err= 
     3856  fi 
     3857else 
     3858  ac_cpp_err=yes 
     3859fi 
     3860if test -z "$ac_cpp_err"; then 
     3861  # Broken: success on invalid input. 
     3862continue 
     3863else 
     3864  echo "$as_me: failed program was:" >&5 
     3865sed 's/^/| /' conftest.$ac_ext >&5 
     3866 
     3867  # Passes both tests. 
     3868ac_preproc_ok=: 
     3869break 
     3870fi 
     3871rm -f conftest.err conftest.$ac_ext 
     3872 
     3873done 
     3874# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped. 
     3875rm -f conftest.err conftest.$ac_ext 
     3876if $ac_preproc_ok; then 
     3877  : 
     3878else 
     3879  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check 
     3880See \`config.log' for more details." >&5 
     3881echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check 
     3882See \`config.log' for more details." >&2;} 
     3883   { (exit 1); exit 1; }; } 
     3884fi 
     3885 
     3886ac_ext=c 
     3887ac_cpp='$CPP $CPPFLAGS' 
     3888ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
     3889ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
     3890ac_compiler_gnu=$ac_cv_c_compiler_gnu 
     3891 
     3892 
    39413893echo "$as_me:$LINENO: checking for egrep" >&5 
    39423894echo $ECHO_N "checking for egrep... $ECHO_C" >&6 
  • wire/trunk/configure.in

    r4014 r4015  
    126126        WR_MSG_LIBWIRED_ERROR 
    127127fi 
    128  
    129  
    130 # Check for glibc (Linux) 
    131 AC_PREPROC_IFELSE([ 
    132     #include <features.h> 
    133     #ifndef __GLIBC__ 
    134     chokeme 
    135     #endif 
    136 ], [ 
    137     AC_DEFINE([HAVE_GLIBC], [1], [Define to 1 if you have glibc.]) 
    138     AC_DEFINE([_GNU_SOURCE], [1], [Define to 1 if you have glibc.]) 
    139 ]) 
    140128 
    141129